Debian Bug report logs - #468201
Unhelpful error message in lh_config

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: "Will Murnane" <will.murnane@gmail.com>

Date: Wed, 27 Feb 2008 16:30:02 UTC

Severity: normal

Found in version live-helper/1.0~a38-1

Fixed in version live-helper/1.0~a39-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to "Will Murnane" <will.murnane@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Will Murnane" <will.murnane@gmail.com>
To: submit@bugs.debian.org
Subject: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 16:28:37 +0000
Package: live-helper
Version: 1.0~a38-1

When I invoke lh_config with an invalid option, all it says is
'internal error'.  Changing line 635 as follows helps:
Echo_error "Invalid option $0"

Also, it appears the --mirror-bootstrap-security option is no longer
valid, which is how I discovered this problem.

I'm running sid, up to date as of today, with kernel 2.6.24-1-686 and
libc 2.7-8.

Thanks!
Will




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 468201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Will Murnane <will.murnane@gmail.com>, 468201@bugs.debian.org
Subject: Re: Bug#468201: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 19:06:47 +0100
tags 468201 +pending
thanks

Will Murnane wrote:
> When I invoke lh_config with an invalid option, all it says is
> 'internal error'.  Changing line 635 as follows helps:
> Echo_error "Invalid option $0"

thanks, fixed in git.

> Also, it appears the --mirror-bootstrap-security option is no longer
> valid, which is how I discovered this problem.

--mirror-bootstrap-* got renamed to --mirror-chroot-*; and the 'new'
--mirror-bootstrap only designates the mirror to (c)debootstrap from.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 27 Feb 2008 18:09:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to "Will Murnane" <will.murnane@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #17 received at 468201@bugs.debian.org (full text, mbox):

From: "Will Murnane" <will.murnane@gmail.com>
To: daniel@debian.org
Cc: 468201@bugs.debian.org
Subject: Re: Bug#468201: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 15:04:08 -0500
On Wed, Feb 27, 2008 at 1:06 PM, Daniel Baumann <daniel@debian.org> wrote:
> tags 468201 +pending
>  thanks
>
>
>  Will Murnane wrote:
>  > When I invoke lh_config with an invalid option, all it says is
>  > 'internal error'.  Changing line 635 as follows helps:
>  > Echo_error "Invalid option $0"
>
>  thanks, fixed in git.
Cool.  Is there a simple way I can get bleeding-edge live-helper
packages through apt: i.e., some repo with the latest git version?  I
build debian live quite often, on the order of twice a week, but it's
never particularly important that it build correctly.  Thus, I think
I'd be a good person to help test a "real-world" build process.

>  > Also, it appears the --mirror-bootstrap-security option is no longer
>  > valid, which is how I discovered this problem.
>
>  --mirror-bootstrap-* got renamed to --mirror-chroot-*; and the 'new'
>  --mirror-bootstrap only designates the mirror to (c)debootstrap from.
This doesn't appear to work:
lh_config -b usb-hdd --mirror-chroot
http://127.0.0.1:3142/ftp.debian.org/debian/ --mirror-chroot-security
http://127.0.0.1:3142/security.debian.org/ ...
lh_config: unrecognized option `--mirror-chroot'
lh_config: unrecognized option `--mirror-chroot-security'
It looks like all that needs to change is the argument to getopt; it
doesn't have any mirror-chroot options set (line 116).  I'll test in a
minute: yep, inserting the string
":,mirror-chroot:,mirror-chroot-security" does let at least the
configuration part run; I haven't built a whole image yet, though it
looks like it's going well.

Hypothetically, would you be averse to converting the lh_build scripts
to Perl?  It would make this kind of internal consistency easier to
maintain.  Rather than specify in several places the name of the
option, what variable it's tied to, and what its help output is, one
could create a single hash containing the data for all those items and
iterate over it in different ways.  It might be possible to do this in
shell scripts, but Perl makes such things relatively easy to express.
This could also lead to easier unit testing in the future: include a
test function in the hash that checks for functionality.  I don't have
time to maintain such a port, but I think I could at least get a
working prototype together.  This could be a slow migration; Perl will
deal with environment variables just fine, and not all the code needs
to be rewritten at once.  If you have a counter-suggestion how I could
help, please let me know.  This project has been very helpful to me
and I'd like to give back if I can.

Will




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 468201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Will Murnane <will.murnane@gmail.com>
Cc: 468201@bugs.debian.org
Subject: Re: Bug#468201: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 21:13:06 +0100
Will Murnane wrote:
> Cool.  Is there a simple way I can get bleeding-edge live-helper
> packages through apt: i.e., some repo with the latest git version?

deb http://live.debian.net/debian-snapshots/ ./

> I
> build debian live quite often, on the order of twice a week, but it's
> never particularly important that it build correctly.  Thus, I think
> I'd be a good person to help test a "real-world" build process.

nice :)

> This doesn't appear to work:
> lh_config -b usb-hdd --mirror-chroot
> http://127.0.0.1:3142/ftp.debian.org/debian/ --mirror-chroot-security
> http://127.0.0.1:3142/security.debian.org/ ...
> lh_config: unrecognized option `--mirror-chroot'
> lh_config: unrecognized option `--mirror-chroot-security'

indeed, thanks. just fixed in git now.

> Hypothetically, would you be averse to converting the lh_build scripts
> to Perl?

yes. i'm thinking of doing it in python or c. not sure yet, c would be
nice because it would be possible to build static binaries which can be
executed basically everywhere without any prerequisities. python would
be a compromise, somehow.

but perl is, from my personal egoistic point of view a noop for me
(reasons, mainly: i don't speak perl it, and don't like it).

> It would make this kind of internal consistency easier to
> maintain.  Rather than specify in several places the name of the
> option, what variable it's tied to, and what its help output is, one
> could create a single hash containing the data for all those items and
> iterate over it in different ways.  It might be possible to do this in
> shell scripts, but Perl makes such things relatively easy to express.
> This could also lead to easier unit testing in the future: include a
> test function in the hash that checks for functionality.  I don't have
> time to maintain such a port, but I think I could at least get a
> working prototype together.  This could be a slow migration; Perl will
> deal with environment variables just fine, and not all the code needs
> to be rewritten at once.

true.

> If you have a counter-suggestion how I could
> help, please let me know.  This project has been very helpful to me
> and I'd like to give back if I can.

atm, the biggest help on live-helper would be in a) testing-building
with live-helper snapshots, and b) writing manpages for lh_*. any help,
whatsoever, very much appreciated and welcome.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to John Reese <jreese@leetcode.net>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 468201@bugs.debian.org (full text, mbox):

From: John Reese <jreese@leetcode.net>
To: daniel@debian.org, 468201@bugs.debian.org
Cc: Will Murnane <will.murnane@gmail.com>
Subject: Re: Bug#468201: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 16:08:42 -0500
Daniel Baumann wrote:
> Will Murnane wrote:
>> Hypothetically, would you be averse to converting the lh_build scripts
>> to Perl?
> 
> yes. i'm thinking of doing it in python or c. not sure yet, c would be
> nice because it would be possible to build static binaries which can be
> executed basically everywhere without any prerequisities. python would
> be a compromise, somehow.
> 
> but perl is, from my personal egoistic point of view a noop for me
> (reasons, mainly: i don't speak perl it, and don't like it).

If I may add my two cents to the mix, I would love for live-helper to be 
ported to either of those two languages (but preferably Python as a 
module usable by other apps).  I have greatly considered offering my 
talents as a contributer to the project, but the use of shell scripting 
is a big barrier to entry for me, as I always spend more time debugging 
my poor shell scripting skills than actually getting work done, and with 
several other C++/Python projects on the side, I feel I can better 
contribute to a project in a language I already fully understand.

But if lh was moved to Python, I would be willing to help out where 
possible, once I can better understand the code and the actual process 
of building a live environment.  And Python would also make it dirt easy 
to separate an API from the helper scripts, which in turn would make it 
dirt easy to convert helper scripts to something friendlier like a Gtk 
wrapper.  Just my opinion though...

-- 
John Reese
LeetCode.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#468201; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 468201@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
Cc: 468201@bugs.debian.org, Will Murnane <will.murnane@gmail.com>
Subject: Re: Bug#468201: Unhelpful error message in lh_config
Date: Wed, 27 Feb 2008 22:13:20 +0100
John Reese wrote:
> would make it
> dirt easy to convert helper scripts to something friendlier like a Gtk
> wrapper.

which is why Chris did live-magic in python.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Will Murnane" <will.murnane@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 468201-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 468201-close@bugs.debian.org
Subject: Bug#468201: fixed in live-helper 1.0~a39-1
Date: Mon, 03 Mar 2008 07:17:27 +0000
Source: live-helper
Source-Version: 1.0~a39-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a39-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a39-1.diff.gz
live-helper_1.0~a39-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a39-1.dsc
live-helper_1.0~a39-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a39-1_all.deb
live-helper_1.0~a39.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a39.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 468201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  3 Mar 2008 00:00:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a39-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live helper programs
Closes: 468201 468855 468902
Changes: 
 live-helper (1.0~a39-1) unstable; urgency=medium
 .
   [ Bas Wijnen ]
   * Making usb-hdd images large enough (Closes: #468855).
 .
   [ Chris Lamb ]
   * Use  instead of  for checking for no arguments in lh_clean.
 .
   [ Daniel Baumann ]
   * New upstream release.
   * Fixing spelling mistake in changelog.
   * Fixing manpage quoting errors.
   * Rewriting copyright in machine-interpretable format.
   * Adding option to set binary-net compression (or disable it).
   * When a wrong argument is passed, that argument should be listed
     (Closes: #468201).
   * Added forgotten getopts arguments for chroot mirror.
   * Adding lzma modules on sid.
   * Changing version scheme for snapshots.
   * Fixing typo in sed call to set isolinux splash file.
   * Honor local preseeding file for debian-installer.
   * Using wildcards to support more than one preseeding file.
   * Including default kernel-img.conf in live-systems.
   * It's actually enough to just truncate kernel-img.conf and also less
     invasive than including a default configuration.
   * Adding --jffs2-eraseblock parameter.
   * Adding temporary hack to remove fstab when using live-installer.
   * Fixed accidental overwriting of LH_NET_TARBALL value in defaults.
   * Also handling ext3 in lh_binary_rootfs, thanks to Bas Wijnen
     <wijnen@debian.org> (Closes: #468902).
Files: 
 98d4eb805e21176b469c662a50128368 854 misc optional live-helper_1.0~a39-1.dsc
 01aea764069abcbc43f16f10f62a9729 1936352 misc optional live-helper_1.0~a39.orig.tar.gz
 e24cbe18bcbbb54fd8150135b877c064 11420 misc optional live-helper_1.0~a39-1.diff.gz
 922e3a9f3c0875ddefa256102a04a768 1880932 misc optional live-helper_1.0~a39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHy5/3+C5cwEsrK54RAgzIAKCRvxnAgE8t+WV3zm1E59V/ya8HggCgjynB
7V/+ZELen5rNJjR6++fuvhs=
=KOtw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Apr 2008 07:25:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:20:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.